Summary:	The GNU patch command, for modifying/upgrading files
Name:		patch
Version:	2.7.5
Release:	%mkrel 2
License:	GPLv3
Group:		Text tools
URL:		http://www.gnu.org/directory/GNU/patch.html
Source0:	ftp://ftp.gnu.org/gnu/patch/%{name}-%{version}.tar.xz
Patch1:		patch-2.7-sigsegv.patch
Patch3:		patch-2.6-stderr.patch
Patch6:		patch-2.6-fix-str-fmt.patch
# debian patches:
Patch103:	lenny-options.diff

%description
The patch program applies diff files to originals.  The diff command
is used to compare an original to a changed file.  Diff lists the
changes made to the file.  A person who has the original file can then
use the patch command with the diff file to add the changes to their
original file (patching the file).

Patch should be installed because it is a common way of upgrading
applications.

%prep
%setup -q

%patch1 -p1 -b .sigsegv
%patch3 -p1 -b .stderr
%patch6 -p0 -b .format_not_a_string_literal_and_no_format_arguments
%patch103 -p1 -b .compat-options

%build
%configure2_5x
%make

%install
%makeinstall

%files
%defattr(644,root,root,755)
%doc NEWS README AUTHORS ChangeLog
%attr(0755,root,root) %{_bindir}/*
%{_mandir}/*/*


%changelog
* Fri Feb 12 2016 umeabot <umeabot> 2.7.5-2.mga6
+ Revision: 956629
- Mageia 6 Mass Rebuild

* Tue Jul 21 2015 luigiwalser <luigiwalser> 2.7.5-1.mga6
+ Revision: 855977
- 2.7.5 (fixes savannah#44251, failing to fllow symlink directories)

* Thu Feb 05 2015 luigiwalser <luigiwalser> 2.7.4-1.mga5
+ Revision: 813565
- 2.7.4 (fixes CVE-2015-1396)

* Tue Jan 27 2015 luigiwalser <luigiwalser> 2.7.3-1.mga5
+ Revision: 812459
- 2.7.3 (fixes CVE-2014-9637, CVE-2015-1196, and CVE-2015-1395)

* Wed Oct 15 2014 umeabot <umeabot> 2.7.1-5.mga5
+ Revision: 746160
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.7.1-4.mga5
+ Revision: 683351
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.7.1-3.mga4
+ Revision: 508900
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.7.1-2.mga3
+ Revision: 362449
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 luigiwalser <luigiwalser> 2.7.1-1.mga3
+ Revision: 300187
- 2.7.1

* Sat Sep 15 2012 luigiwalser <luigiwalser> 2.7-1.mga3
+ Revision: 294251
- 2.7
- rediff patches 1 and 103
- remove patch 8 (fixed upstream)

* Thu Aug 16 2012 luigiwalser <luigiwalser> 2.6.1-5.mga3
+ Revision: 281693
- add patch from fedora to fix CVE-2010-4651 (rhbz #667529)

* Sat Jan 08 2011 blino <blino> 2.6.1-4.mga1
+ Revision: 613
- imported package patch


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 2.6.1-4mdv2011.0
+ Revision: 607074
- rebuild

* Wed May 05 2010 Sandro Cazzaniga <kharec@mandriva.org> 2.6.1-3mdv2010.1
+ Revision: 542386
- use %%configure2_5x
- fix source0

* Mon May 03 2010 Sandro Cazzaniga <kharec@mandriva.org> 2.6.1-2mdv2010.1
+ Revision: 541900
- Give a more clean name for a patch
- Fix license according to COPYING file

* Wed Dec 30 2009 Frederik Himpe <fhimpe@mandriva.org> 2.6.1-1mdv2010.1
+ Revision: 484251
- update to new version 2.6.1

* Thu Dec 03 2009 Thierry Vignaud <tv@mandriva.org> 2.6-1mdv2010.1
+ Revision: 472899
- new release
- drop patch 2, 5, 100 & 101 (merged upstream)
- rediff patches 1, 3
- patch 7: add compat options for debian patches merged upstream:
  patch contained two patches that would create reject files in unified
  format, and collect all rejects in a single, "global" reject file. These
  patches are now part of patch 2.6.
   * -U or --unified-reject-files  is now  --reject-format=format.
     Additionally, reject files will automatically be in unified format if the
     input patch is in that format.
   * --global-reject-file=file  is now a synonym for  --reject-file=file (-r)
     which has been fixed not to overwrite reject hunks from different files.

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.5.9-9mdv2010.0
+ Revision: 426356
- rebuild

* Mon Dec 22 2008 Oden Eriksson <oeriksson@mandriva.com> 2.5.9-8mdv2009.1
+ Revision: 317535
- rediffed one fuzzy patch (P1)
- fix build with -Werror=format-security (P6)

* Tue Oct 28 2008 Pixel <pixel@mandriva.com> 2.5.9-7mdv2009.1
+ Revision: 297998
- cleanup unneeded hacks: remove -D_GNU_SOURCE (added for powerpc in 2000),
  remove --disable-largefile (added for sparcs in 2000)
- add patches from debian implementing --unified-reject-files (great!) and
--global-reject-file=file

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.5.9-6mdv2009.0
+ Revision: 223441
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 2.5.9-5mdv2008.1
+ Revision: 179121
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Feb 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.5.9-4mdv2007.0
+ Revision: 119966
- Import patch

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.5.9-3mdk
- Rebuild

* Sat Aug 14 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.5.9-2mdk
- drop useless prefix

